# Wallscope Vue Components

This package contains a list of Vue components commonly used in Wallscope projects. The components are fully written in Typescript.

## Use this plugin in other projects

1. To use the Wallscope npm registry in your project, add `@wallscope:registry=https://npm.pkg.github.com/` to your `.npmrc` file.
2. Authenticate to use the registry with `npm login --registry=https://npm.pkg.github.com/` (`yarn` could not run this command correctly). If you have 2FA, `username` is your github username and `password` must be a personal access token. To create one, follow [Github's article "Creating a personal access token"](https://docs.github.com/en/free-pro-team@latest/github/authenticating-to-github/creating-a-personal-access-token).

## Add a component

If you want to add component to this library:

1. Create a folder under `src/lib-components` that specifies the name of your component and add your SFC (single file component) to it.
2. Export the component from the `index.ts` file, under `src/lib-components`.
3. Export a type declaration for your component from the file `vue-components.d.ts`.

## Deploy

To deploy a new version of this library:

1. Run `yarn login --registry=https://npm.pkg.github.com/`
2. Run `yarn publish`
